Get the casting of the episodes

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
GET /data/projects/{project_id}/episodes/casting

Get the casting of each episode of a project. The casting of an entity is the list of assets in the entity, with the number of occurrences of each asset.

Path parameters

  • project_id string(uuid) Required

    Unique identifier of the project

Responses

  • 200 application/json

    A map of episode identifiers to castings

    Hide response attributes Show response attributes object
    • episode_id string(uuid)

      Episode unique identifier

    • episode_name string

      Episode name

    • casting array[object]
      Hide casting attributes Show casting attributes object
      • asset_id string(uuid)

        Asset identifier

      • asset_name string

        Asset name

  • 403

    You do not have access to this project, or you are a vendor

GET /data/projects/{project_id}/episodes/casting
curl -X GET "http://api.example.com/data/projects/a24a6ea4-ce75-4665-a070-57453082c25/episodes/casting" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
import requests

url = "http://api.example.com/data/projects/a24a6ea4-ce75-4665-a070-57453082c25/episodes/casting"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
params = {}
payload = None

response = requests.get(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
Response examples (200)
[
  {
    "episode_id": "d57d91d7-f108-7998-d403-80786315f580",
    "episode_name": "Episode 01",
    "casting": [
      {
        "asset_id": "c46c80c6-e097-6887-c292-79675204e470",
        "asset_name": "Main Character"
      }
    ]
  }
]